<?php
/**
 * Help module integration.
 */

/**
 * Implements hook_help().
 */
function sexybookmarks_help($path, $arg) {
  switch ($path) {
    case 'admin/help#sexybookmarks':
      return "<p>\n"
           . '  ' . t('The SexyBookmarks for Drupal module is a port of the WordPress plug-in by the same name.') . "\n"
           . "</p>\n"
           . "<p>\n"
           . ' ' . t('The sole aim was to stray away from the "in the box" thinking behind most social bookmarking plugins, and add a little flair that would entice your readers, rather than deterring them with microscopic icons that get lost in pages heavy laden with content.') . "\n"
           . "</p>\n"
           . "<p>&nbsp;</p>\n"
           . '<h3>' . t('Table of Contents') . "</h3>\n"
           . '<a href="#profiles">' . t('Setting up profiles') . '</a> | <a href="#display">' . t('Displaying SexyBookmarks') ."</a>\n"
           . "<p>&nbsp;</p>\n"
           . '<h3><a name="profiles"></a>' . t('Setting up profiles') . "</h3>\n"
           . "<p>\n"
           . '  ' . t('Profiles are sets of configuration, allowing you to have use different settings in different conditions (e.g., use different Social bookmarking services for different Content types).') . "\n"
           . "</p>\n"
           . "<p>\n"
           . '  ' . t('Profiles can be managed at') . ":<br />\n"
           . '  &nbsp;&nbsp;' . l('Aministration &raquo; Configuration &raquo; Content authoring &raquo SexyBookmarks', 'admin/config/content/sexybookmarks', array('html' => TRUE)) . "\n"
           . "</p>\n"
           . '<strong>' . t('Creating/Editing a profile') . "</strong>\n"
           . "<p>\n"
           . '  ' . t('A profile consists of four sections of configuration') . ":\n"
           . "</p>\n"
           . "<ol>\n"
           . "  <li><strong>" . t('Core settings') . ":</strong>\n"
           . "    <br /><br />\n"
           . "    <dl>\n"
           . "      <dt><strong>" . t('Name') . "</strong></dt>\n"
           . "      <dd>" . t('The unique ID of the SexyBookmarks profile, this can only consist of lowercase letters, underscores, and numbers.') . "</dd>\n"
           . "      <dt><strong>" . t('Active/Inactive services') . "</strong></dt>\n"
           . "      <dd>" . t('The Social Bookmarking services, they are drag and drop sortable, both to set the order and status of the service.') . "</dd>\n"
           . "    </dl>\n"
           . "    <br />\n"
           . "  </li>\n"
           . "  <li><strong>" . t('Functionality settings') . ":</strong>\n"
           . "    <br /><br />\n"
           . "    <dl>\n"
           . "      <dt><strong>" . t('Include Facebook Like button') . "</strong></dt>\n"
           . "      <dd>" . t('Include a Facebook Like button with your SexyBookmarks widget.') . "</dd>\n"
           . "      <dt><strong>" . t('Facebook Like button location') . "</strong></dt>\n"
           . "      <dd>" . t('Positon the Facebook Like button (if set) should appear.') . "</dd>\n"
           . "      <dt><strong>" . t('Show Share counters') . "</strong></dt>\n"
           . "      <dd>" . t('Display Share counters for Facebook, Twitter, Google Buzz and Delicious.') . "</dd>\n"
           . "      <dt><strong>" . t('Use Designer Tooltips') . "</strong></dt>\n"
           . "      <dd>" . t('Show CSS Tooltips.') . "</dd>\n"
           . "      <dt><strong>" . t('Background Color for Tooltips') . "</strong></dt>\n"
           . "      <dd>" . t('Background Color for Tooltips (if set), configurable via Color wheel or using valid CSS color values.') . "</dd>\n"
           . "      <dt><strong>" . t('Text Color for Tooltips') . "</strong></dt>\n"
           . "      <dd>" . t('Text Color for Tooltips (if set), configurable via Color wheel or using valid CSS color values.') . "</dd>\n"
           . "      <dt><strong>" . t('Add Nofollow to Links') . "</strong></dt>\n"
           . "      <dd>" . t('Prevent Robots from following the Social Bookmark link.') . "</dd>\n"
           . "      <dt><strong>" . t('Open Links in New Window') . "</strong></dt>\n"
           . "      <dd>" . t('Whether Social Bookmark link should be opended in a new browser window/tab.') . "</dd>\n"
           . "      <dt><strong>" . t('Show Shareaholic Link') . "</strong></dt>\n"
           . "      <dd>" . t('Show a Shareaholic link.') . "</dd>\n"
           . "      <dt><strong>" . t('Which URL Shortener') . "</strong></dt>\n"
           . "      <dd>" . t('Which URL Shortener service to use for short links. The !shorten module can also be selected (if present), which will use it\'s settings to shorten all links sent to the Social Bookmarking service.', array('!shorten' => l('Shorten URLs', 'http://drupal.org/project/shorten'))) . "</dd>\n"
           . "    </dl>\n"
           . "    <br />\n"
           . "  </li>\n"
           . "  <li><strong>" . t('Twitter settings') . ":</strong>\n"
           . "    <br /><br />\n"
           . "    <dl>\n"
           . "      <dt><strong>" . t('Configure Custom Tweet Template') . "</strong></dt>\n"
           . "      <dd>" . t('A template for the format of the Tweet. More information can be found in the description of the setting.') . "</dd>\n"
           . "    </dl>\n"
           . "    <br />\n"
           . "  </li>\n"
           . "  <li><strong>" . t('Aesthetic settings') . ":</strong>\n"
           . "    <br /><br />\n"
           . "    <dl>\n"
           . "      <dt><strong>" . t('Animate-expand multi-lined bookmarks') . "</strong></dt>\n"
           . "      <dd>" . t('Whether SexyBookmarks widget should expand on mouseover.') . "</dd>\n"
           . "      <dt><strong>" . t('Auto-space/center the bookmarks') . "</strong></dt>\n"
           . "      <dd>" . t('How to visually render the choosen services.') . "</dd>\n"
           . "    </dl>\n"
           . "    <br />\n"
           . "  </li>\n"
           . "</ol>\n"
           . "<p>&nbsp;</p>\n"
           . '<h3><a name="display"></a>' . t('Displaying SexyBookmarks') . "</h3>\n"
           . "<p>\n"
           . '  ' . t('By default each Content type will be set to show the \'default\' SexyBookmarks profile, but there are multiple different ways to display the widget:') . "\n"
           . "</p>\n"
           . "<ul>\n"
           . '  <li><strong>' . t('Nodes') . "</strong>\n"
           . "    <p>\n"
           . '      ' . t('Each Node Content type has individual settings for both the !profile to be used and the !position of the widget on the Node.', array('!profile' => '<strong>' . t('profile') . '</strong>', '!position' => '<strong>' . t('position') . '</strong>')) . "\n"
           . "    </p>\n"
           . "    <p>\n"
           . '      ' . t('The !profile settings can be found in the Content types settings page (e.g., !url[content-type]) under !settings. Setting the profile to "!none" will disable the SexyBookmarks widget on this content type.', array('!profile' => '<strong>' . t('profile') . '</strong>', '!url' => url('admin/content/node-type/', array('absolute' => TRUE)), '!settings' => '<strong>' . t('SexyBookmarks settings') . '</strong>', '!none' => t('- None -')))
           . "    </p>\n"
           . "    <p>\n"
           . '      ' . t('The !position settings can be found in the Content types Mange fields page (e.g., !url[content-type]/fields), simply Drag and Drop the SexyBookmarks widget in the desired position.', array('!position' => '<strong>' . t('position') . '</strong>', '!url' => url('admin/content/node-type/', array('absolute' => TRUE))))
           . "    </p>\n"
           . "  </li>\n"
           . "</ul>\n"
           . "<p>&nbsp;</p>\n";

  }
}
